U kunt deze versie van het programma Angry Birds niet gebruiken met deze versie van Mac OS X?! HELP

Weet jij het antwoord?

/2500

Mogelijk moet je een andere versie van Angry Birds kopen die Mac OS X wel ondersteund.

Misschien per ongeluk de iPod versie gekocht?

Update je Mac?

Stel zelf een vraag

Ben je op zoek naar het antwoord die ene vraag die je misschien al tijden achtervolgt?

/100